aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndrew Robbins <contact@andrewrobbins.info>2017-06-22 11:44:19 -0400
committerAndrew Robbins <contact@andrewrobbins.info>2017-06-23 09:25:42 -0400
commit46c6ca3b9ee3e545a41b3b0f488885b20a1c65b5 (patch)
treeaa647a35566e714faa801f66a711ebb6f0da34f3 /tools
parent7c8e518c62c6bbe6cd2b465099c561d8d53d38e9 (diff)
downloadlibrebootfr-46c6ca3b9ee3e545a41b3b0f488885b20a1c65b5.tar.gz
librebootfr-46c6ca3b9ee3e545a41b3b0f488885b20a1c65b5.zip
Fixed printf calls & replaced 'echo' w/ printf.
All printf calls should now be properly formatted; prior, the format specifier string was erroneously used for both the format specifiers and the string to be printed. 'env' is now used to locate the printf binary so as to avoid potentially using a shell builtin. Lastly, all calls to 'echo' within the new build system have been replaced with printf for consistency/portability purposes.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/blobs-discover/blobs-discover18
-rwxr-xr-xtools/boot-keys/boot-keys10
-rwxr-xr-xtools/boot-keys/boot-keys-helper4
3 files changed, 16 insertions, 16 deletions
diff --git a/tools/blobs-discover/blobs-discover b/tools/blobs-discover/blobs-discover
index 9d5013e0..c5f391a4 100755
--- a/tools/blobs-discover/blobs-discover
+++ b/tools/blobs-discover/blobs-discover
@@ -22,7 +22,7 @@ arguments() {
then
ls -A "$root/$PROJECTS/" | while read project
do
- echo "$project"
+ env printf '%s\n' "$project"
done
else
shift
@@ -93,18 +93,18 @@ verify() {
(
IFS=$ifs_save
- printf "\nDiscovered blob: $file\n"
+ env printf '\n%s\n' "Discovered blob: $file"
$EDITOR "$project_sources_path/$file"
- printf "Type \"blob\" to keep or press enter to discard: "
+ env printf '%s' "Type \"blob\" to keep or press enter to discard: "
read choice
if [ "$choice" = "blob" ]
then
- echo "$file" >> "$project_blobs_path"
+ env printf '%s\n' "$file" >> "$project_blobs_path"
else
- echo "$file" >> "$project_blobs_ignore_path"
+ env printf '%s\n' "$file" >> "$project_blobs_ignore_path"
fi
sed "\|^$file$|d" -i "$project_blobs_discover_path"
@@ -151,13 +151,13 @@ execute() {
git_clean "$repository_path"
fi
- printf "\nDiscovering new blobs, this may take a while...\n"
+ env printf '\n%s\n' 'Discovering new blobs, this may take a while...'
files=$( find "$project_sources_path" -type f | grep -vP "\.git/|\.tar|\.patch" )
touch "$project_blobs_discover_path"
- echo "$files" | while read file
+ env printf '%s\n' "$files" | while read file
do
if ! [ -z "$project_blobs_ignore_path" ]
then
@@ -171,11 +171,11 @@ execute() {
match=$( "$deblob_check_path" -l -i "" "$file" || true )
if ! [ -z "$match" ]
then
- echo "$match" >> "$project_blobs_discover_path"
+ env printf '%s\n' "$match" >> "$project_blobs_discover_path"
fi
done
- printf "\nDiscovered blobs were stored in $project_blobs_discover_path\n"
+ env printf '\n%s\n' "Discovered blobs were stored in $project_blobs_discover_path"
}
execute_check() {
diff --git a/tools/boot-keys/boot-keys b/tools/boot-keys/boot-keys
index c446bd44..c79bac2b 100755
--- a/tools/boot-keys/boot-keys
+++ b/tools/boot-keys/boot-keys
@@ -24,7 +24,7 @@ generate() {
if [ -z "$type" ]
then
- printf "Unable to determine keys type\n" >&2
+ env printf '%s\n' 'Unable to determine keys type' >&2
return 1
fi
@@ -47,11 +47,11 @@ sign() {
if [ -z "$type" ]
then
- printf "Unable to determine keys type\n" >&2
+ env printf '%s\n' 'Unable to determine keys type' >&2
return 1
fi
- echo "$prepare_files" | while read install_path
+ env printf '%s\n' "$prepare_files" | while read install_path
do
case $type in
"cros-firmware")
@@ -90,11 +90,11 @@ verify() {
if [ -z "$type" ]
then
- printf "Unable to determine keys type\n" >&2
+ env printf '%s\n' 'Unable to determine keys type' >&2
return 1
fi
- echo "$prepare_files" | while read install_path
+ env printf '%s\n' "$prepare_files" | while read install_path
do
case $type in
"cros-firmware")
diff --git a/tools/boot-keys/boot-keys-helper b/tools/boot-keys/boot-keys-helper
index 5046cbfb..05739bbe 100755
--- a/tools/boot-keys/boot-keys-helper
+++ b/tools/boot-keys/boot-keys-helper
@@ -15,7 +15,7 @@ boot_keys_cros() {
if ! [ -x "$cros_script_path" ]
then
- printf "$cros_script script missing from cros-scripts install" >&2
+ env printf '%s' "$cros_script script missing from cros-scripts install" >&2
return 1
fi
@@ -45,7 +45,7 @@ boot_keys_files_install_path() {
ifs_save=$IFS
IFS=$'\n'
- for argument in $( echo "$helper_arguments" )
+ for argument in $( env printf '%s\n' "$helper_arguments" )
do
(
IFS=$ifs_save